Page MenuHomePhabricator

Allow disabling a notification category from within the notifications popup
Closed, DeclinedPublic

Description

When viewing a notification, there should be an option in the dotdotdot menu that lets me disable notifications of that category (e.g. "Don't notify me about Flow in the future"). This would be a shortcut for going to your notification preferences and unchecking the relevant box.

See also T115264: Notification panel: Control notification volume.

Event Timeline

Catrope created this task.Apr 18 2016, 10:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2016, 10:19 PM
Catrope added subscribers: jmatazzoni, Pginer-WMF.

Moving to Product/Design so @jmatazzoni / @Pginer-WMF can provide input on what icon and language to use.

Mattflaschen-WMF renamed this task from Allow disabling a notification type from within the notifications popup to Allow disabling a notification category from within the notifications popup.Apr 18 2016, 10:50 PM
Mattflaschen-WMF updated the task description. (Show Details)

Before we build we need to answer some questions about this feature:

  • 1) Will the option to turn off the category from within the notification apply to all possible notification types or just some?
  • 2) As part of doing this, do we want to rationalize the preferences by dividing up the "Flow" option, as described in T132426 ?

(This latter involves making sure, for example, that the "Talk page" and "Mention" options apply to both Flow and non-Flow talk pages and mentions, which they don't currently. To do that we'll also eliminate "Flow" as an option, to be replaced with one or more options about Discussions.)

As a first step, I'd like to see a breakdown of what notification types line up under which of the 11 preference options listed. Can someone provide that list please?

Before we build we need to answer some questions about this feature:

  • 1) Will the option to turn off the category from within the notification apply to all possible notification types or just some?

IMHO, it should allow turning off anything that Special:Preferences allows you to turn off.

  • 2) As part of doing this, do we want to rationalize the preferences by dividing up the "Flow" option, as described in T132426 ?

I don't think it's a blocker. They could be done in either order.

As a first step, I'd like to see a breakdown of what notification types line up under which of the 11 preference options listed. Can someone provide that list please?

Yes, I have this done as part of T132127: Display documentation for notification types configuration on Wikimedia. It will also clarify #1. I need to make sure some technical issues (related to $wgEchoDefaultNotificationTypes) are handled properly, but I'll put up a usable WIP tonight.

Assigning this to Pau as a first step, so he can define menu options/icon.

Pginer-WMF added a comment.EditedApr 22 2016, 12:14 PM

During research one of the challenging part we identified around this is how to communicate effectively the effects of the action making clear what will be affected.

If we want to provide the same flexibility that it is available in the settings, we can support two kinds of workflows:

Quick access for settings


An option to "Adjust the volume for similar notifications" is provided that leads the user to the notifications setting page. There the row of the current notification category is highlighted to indicate the relevant notification category.

Changing settings in-place with additional info


A mute option changes the preference for the reception of notifications of the same category. Since the effects will be immediate we want to add extra clarity by indicating the notification category in the action and providing a feedback message (using a transient bubble notification) with the option to get to the settings if needed.

I'd prefer the Quick access for settings workflow, as this isn't likely to be a commonly used feature. (Changing the settings for an entire category, should happen very rarely).

I semi-suspect we're over thinking this. The only 2 notification categories, that more than 1 or 2 people have discussed disabling (due to getting more notifications than they want), are page-linked and flow.
I've commented on page-linked at T46787#2231560.
The issues with the flow category will hopefully be solved via T121138: Enable a way for us to choose whether to autowatchlist each new flow topic (and related ideas) and via T3492: Multiple watchlists (epic).

Please note that in both workflows the "Restore all default settings" link shouldn't be displayed because users could think it's only about notification seetings instead of all settngs.

For what it's worth, I prefer in-place. We have the capability to do this, and I think it's a nicer UX. The user has a better (true, not perfect, since they might not know all of the types in that category, but better) idea what they're actually disabling, whereas on the preferences screen they're looking at a table in isolation, with no explanation except two or three words.

Quiddity, do you prefer sending them to Special:Preferences on UX grounds or because it might be easier technically?

Doing it in place does not seem that technically difficult to me.

Please note that in both workflows the "Restore all default settings" link shouldn't be displayed because users could think it's only about notification seetings instead of all settngs.

It already says, "Restore all default settings (in all sections)". Also, they would see the tabs indicating they are still on the normal preferences screen.

I semi-suspect we're over thinking this.

I think I need some clarifications:

  • We are already providing a link to the notifications settings through the "preferences" at the bottom of the notification panel. The proposals just try to make this just one step more contextual. Are you suggesting that the general link is enough?
  • You seem to suggest to create one-off solutions for the specific cases where we know there are volume problems with (or those for which have disabling discussions about). How connected you expect those to be? If the effects of an action may end up affecting different places you need to know about those in case you want to revert your changes or just have an overview of what you will be notified about. For example, if we plan to create blacklists for different notification types (such as page-linked notifications), we may need to have them accessible from the Notification settings.
jmatazzoni closed this task as Declined.Apr 28 2016, 5:48 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptDec 14 2016, 8:37 PM